library("SIS")
set.seed(9)
data("leukemia.train", package = "SIS")
data("leukemia.test", package = "SIS")
y1 <- leukemia.train[, dim(leukemia.train)[2]]
x1 <- as.matrix(leukemia.train[, -dim(leukemia.train)[2]])
y2 <- leukemia.test[, dim(leukemia.test)[2]]
x2 <- as.matrix(leukemia.test[, -dim(leukemia.test)[2]])
x <- rbind(x1, x2)
y <- c(y1, y2)
n <- dim(x)[1]; aux <- 1:n
ind.train1 <- sample(aux[y == 0], 23, replace = FALSE)
ind.train2 <- sample(aux[y == 1], 13, replace = FALSE)
ind.train <- c(ind.train1, ind.train2)
x.train <- scale(x[ind.train,])
y.train <- y[ind.train]
ind.test1 <- setdiff(aux[y == 0], ind.train1)
ind.test2 <- setdiff(aux[y == 1], ind.train2)
ind.test <- c(ind.test1, ind.test2)
x.test <- scale(x[ind.test, ])
y.test <- y[ind.test]
model1 <- SIS(x.train, y.train, family = "binomial", penalty = "lasso",
              tune = "cv", nfolds = 10, nsis = 100, varISIS = "aggr", seed = 9,
              standardize = FALSE)
model2 <- SIS(x.train, y.train, family = "binomial", penalty = "lasso",
              tune = "cv", nfolds = 10, nsis = 100, varISIS = "aggr", perm = TRUE,
              q = 0.95, seed = 9, standardize = FALSE)
model1$ix
model2$ix
